<?php
/**
 * This file is part of the official Amazon Checkout extension for Magento 1.x
 *
 * (c) 2020 creativestyle GmbH. All Rights reserved
 *
 * Distribution of the derivatives reusing, transforming or being built upon
 * this software, is not allowed without explicit written permission granted
 * by creativestyle GmbH
 *
 * @category   Creativestyle
 * @package    Creativestyle_AmazonCheckout
 * @copyright  2020 creativestyle GmbH
 * @author     Marek Stefan <ticket@creativestyle.de>
 */

class Creativestyle_AmazonCheckout_Block_Checkout_CustomFields extends Creativestyle_AmazonCheckout_Block_Checkout_Template
{
    /**
     * @inheritDoc
     */
    public function isActive()
    {
        $customFields = $this->_getConfig()->getCheckoutCustomFields();
        return parent::isActive() && !empty($customFields);
    }
}
